/**
 * chessgame.h
 *
 * A class for arbitrating chess games
 *
 * Zach Kamsler
 * IMGD 4000
 */

#ifndef _CHESSGAME_H_
#define _CHESSGAME_H_

#include "enums.h"

class ChessBoard;
class Player;


/// a class for running a chess game
class ChessGame
{
public:
	ChessGame(ChessBoard& b, Player& p1, Player& p2);
	
	bool update();

private:
	ChessBoard& board;
	Player& white;
	Player& black;
	Side turn;
};

#endif


