/**
 * player.h
 *
 * An interface for chess playing classes
 *
 * Zach Kamsler
 * IMGD 4000
 */

#ifndef _PLAYER_H_
#define _PLAYER_H_

#include "enums.h"

class ChessBoard;


/// An interface for chess playing classes
class Player {
public:
	virtual bool play(ChessBoard& board, Side side, Move& move) = 0;
};


#endif

