/**
 * splashscreen.h
 *
 * A class for displaying a splash screen
 *
 * Zach Kamsler
 * IMGD 4000
 */

#ifndef _SPLASHSCREEN_H_
#define _SPLASHSCREEN_H_

#include <ClanLib/display.h>

class SplashScreen {
public:
	SplashScreen(CL_Surface& s) : surface(s), ok(true) {}

	void run();
	void onInput(const CL_InputEvent&) {ok = false;}
	void onClose() {ok = false;}
private:
	CL_Surface& surface;
	bool ok;
};


#endif
